Saltar al contenido
Guías
AlmacenamientoArchivos
asset:create

Importar archivo desde URL

POST/v1/storage/assets/url

Importar archivo desde URL. Una solicitud exitosa devuelve HTTP 201 con el cuerpo de respuesta documentado.

Autorización

bearerAuth
AutorizaciónBearer <token>

Token de acceso OAuth 2.0 emitido por Ecomiq Auth.

Ubicación: header

Parámetros de cabecera

x-Store-Id?string

Tienda sobre la que actúa la solicitud. No hace falta cuando el token ya está vinculado a una tienda.

Authorization*string

Token bearer OAuth 2.0.

Cuerpo de la solicitud

application/json

Definiciones TypeScript

Usa esta definición en TypeScript.

Cuerpo de la respuesta

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/storage/assets/url" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "url": "https://example.com/resource",    "filename": "Example resource",    "directory": "example",    "altText": "example",    "metadata": {      "key": "example"    }  }'
{  "id": "7204558912004325301",  "fileName": "Example resource",  "publicUrl": "https://example.com/resource",  "contentType": "example",  "size": 1,  "width": 1,  "height": 1,  "altText": "example",  "directory": "example",  "metadata": {    "key": "example"  },  "createdOn": "2026-08-01T15:30:00Z"}